﻿@using Jumbula.Common.Helper
@using Jumbula.Core.Domain

@model CreateEditChargeViewModel

@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                {{PageMode}} Application fee
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="clearfix"></div>
    <div>
        <label class="req-star">Name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Name)>
            <input ng-model="@Html.Ang(model=>model.Name)" type="text" @Html.AngTooltipValidationFor(model => model.Name) />
        </div>
        <div class="clearfix"></div>
        <label class="req-star">Amount</label>
        <div class="price-box">
            <div class="input-control text price place-left" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.Amount)>
                <input ng-model="@Html.Ang(m => m.Amount)" type="text" @Html.AngTooltipValidationFor(model => model.Amount) />
            </div>
        </div>
        <br />
        <div class="clearfix"></div>
        <label class="req-star">Eligible programs</label>
        <div class="input-control radio">
            <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="true" type="radio" />
                    <span class="check"></span>
                    All programs
                </label>
            </div>
            <div class="input-control radio default-style place-left  no-margin padding-left20" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.IsAllProgram)" name="isAllProgram" ng-value="false" type="radio" />
                    <span class="check"></span>
                    Selected programs
                </label>
            </div>
        </div>

        <div class="input-control choosen" data-role="input-control" ng-show="@Html.Ang(m=> m.IsAllProgram)== false" @Html.AngValidationClassFor(model => model.SelectedPrograms)>
            <div @Html.AngTooltipValidationFor(model => model.SelectedPrograms)>
                <select chosen multiple
                        ng-model="Model.SelectedPrograms"
                        ng-options="obj.Value as obj.Text for obj in getProgramsList()"></select>
            </div>
        </div>

        <div class="clearfix"></div>
        <div>
            <label class="req-star" for="@Html.Ang(m=> m.ApplicationFeeApplyType)">Applies to</label>
            <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ApplicationFeeApplyType)>
                <select ng-model="@Html.Ang(m=> m.ApplicationFeeApplyType)" @Html.AngTooltipValidationFor(model => model.ApplicationFeeApplyType)>
                    <option value=@(ChargeApplyType.Cart)>Select</option>
                    <option value=@(ChargeApplyType.OrderItem)> For each registration</option>
                    <option value=@(ChargeApplyType.PerParticipantPerSeason)>@ChargeApplyType.PerParticipantPerSeason.ToDescription()</option>
                    <option value=@(ChargeApplyType.PerFamilyPerSeason)>@ChargeApplyType.PerFamilyPerSeason.ToDescription()</option>
                </select>
            </div>

            <div class="clearfix" />
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="place-left one-half padding-right20 margin-top10">
        <div class="input-control checkbox" data-role="input-control">
            <label>
                <input ng-change="changeEB(Model.HasEarlyBird)" ng-model="Model.HasEarlyBird" type="checkbox">
                <span class="check"></span>
                Enable early bird pricing
            </label>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-show="Model.HasEarlyBird">
        <div class="place-left two-half-box padding-right20">
            <label class="req-star">Early bird price</label>
            <div class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("EarlyBirdAmount")>
                <input ng-model="Model.EarlyBirdAmount" type="text" @Html.AngTooltipValidation("EarlyBirdAmount") />
            </div>

        </div>
        <div class="place-left two-half-box">
            <label class="req-star">Expires on</label>
            <div class="input-control date-time" @Html.AngValidationClass("ExpireDate")>
                <div @Html.AngTooltipValidation("ExpireDate")>
                    <input k-options="MC.datePickerOptions" kendo-date-picker ng-model="Model.ExpireDate" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" />
                </div>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <hr />
    <button type="button" class="success place-right large button" data-ng-click="saveApplicationFee()">Save</button>
    <button type="button" class="link place-left large button" ui-sref="ChargesAdd({seasonDomain: MC.stateParams.seasonDomain})">Cancel</button>

    <div class="clearfix"></div>
</div>






